# 启动方式
当前默认参数已配置好，安装完docker可直接启动。
如果需要对镜像版本、管理员密钥及其他参数进行配置，可参考[IMAGECONF.md](./IMAGECONF.md)。

1. 安装部署好docker及docker-compose。

2. 进行初始化
如果镜像下载不了，可使用[备用链接](https://pan.baidu.com/s/1Mot0NKdCqqGkCACKo7sxvw?pwd=h3y4)下载后，使用`docker load -i xxx.tar` 来导入镜像。
```bash
sh init.sh
```

3. 启动
```bash
   docker-compose up -d
```

4. 使用
```
   标识解析系统地址：`http://127.0.0.1:21030/DOIP/GlobalRouter/assets/`
   标识解析系统在右上角输入默认的密钥对，密钥文本在`./bdcontract/manager.keypair`中。
   仓库的doip地址：`tcp://127.0.0.1:21035`，可通过测试用例发起doip请求。
   仓库的http地址：`http://127.0.0.1:21030/client/bdwareclient.html?self=true&contract=RepositoryExample`。
   注册表地址：`http://127.0.0.1:21030/DOIP/Registry/assets/`
   数字对象浏览器：url应该为http://ip:port/SCIDE，同时还需要相应权限的key-pair，可以成功登陆DOBrowser
```

# 配置文件说明

配置文件在deploy/bdcontract/cmconfig.json。
本镜像包含了标识解析系统和数字对象仓库两个模块。
cmconfig.json的详细配置参数见：。
标识解析系统的启动参数说明见标识解析系统的源码仓库。

各构件的启动参数详见三个代码仓库。
[数字对象仓库示例](https://gitee.com/BDWare/datanet-repo-bundle)
[数字对象注册表](https://gitee.com/BDWare/datanet-search-engine-bundle)
[标识解析系统](https://gitee.com/BDWare/datanet-router-bundle)

# Docker常见问题
在linux环境下，以普通用户启动docker可能会遇到权限的问题。可搜索`linux docker.sock权限被拒绝`。
```bash
sudo chmod 777 /var/run/docker.sock 
```